from PyQt6 import QtCore, QtWidgets

def main():
    app = QtWidgets.QApplication(["python"])

    main_window = QtWidgets.QMainWindow()

    statusBar = main_window.statusBar()
    statusBar.addWidget(QtWidgets.QFrame())

    left_1 = QtWidgets.QDockWidget("Dock")
    left_2 = QtWidgets.QDockWidget("Dock")
    main_window.addDockWidget(QtCore.Qt.DockWidgetArea.LeftDockWidgetArea, left_1)
    main_window.tabifyDockWidget(left_1, left_2)

    right_1 = QtWidgets.QDockWidget("Dock")
    right_2 = QtWidgets.QDockWidget("Dock")
    main_window.addDockWidget(QtCore.Qt.DockWidgetArea.RightDockWidgetArea, right_1)
    main_window.tabifyDockWidget(right_1, right_2)

    main_window.show()
    main_window.close()

    app.exit()

if __name__ == "__main__":
    main()
